std::out_of_range(3)

NAME
std::out_of_range -

SYNOPSIS

Inherits logic_error.

Detailed Description

This represents an argument whose value is not within the expected range (e.g., boundary checks in basic_string).

Definition at line 97 of file stdexcept.

  Public Member Functions
out_of_range (const string &__arg)
virtual const char * what () const throw ()

Member Function Documentation

  virtual const char* what () const throw () [virtual, inherited]

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.